<template>
    <div class="container">
        <div class="row mb-4 mt-5">
            <div class="col-12 text-center mb-3">
                <img width="150" class="img-fluid" :src="'../logo.svg'">
            </div>
            <div class="col-8 mx-auto">
                <input type="text" class="form-control search-bar" v-model="search" placeholder="Search book title, author, or publisher..." />
            </div>
        </div>
        <div class="row">
            <div class="col-3 mb-4" v-for="(book, index) in getterListBooks.data" :key="book.id">
                <div class="card shadow">
                    <img :src="book.image_url" class="card-img-top">
                    <div class="card-body">
                        <h5 class="card-title">{{ book.title }}</h5>
                        <p class="card-text description text-muted">{{ book.author.name }}</p>
                    </div>
                    <div class="card-footer">
                        <div class="float-start">
                            <a @click="deleteBook(book.id)" href="#" class="btn float-end btn-danger">Delete</a>
                        </div>
                        <div>
                            <router-link :to="{ name: 'dashboard.books.detail', params : { id: book.id } }" class="btn float-end btn-info">Detail</router-link>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <!-- <pagination align="center" :data="getterListBooks" @pagination-change-page="listBooks"></pagination> -->
            </div>
        </div>
    </div>
</template>

<style scoped>
    .search-bar{
        background: #fff;
        padding: 10px 30px;
    }
</style>

<script>
    import { mapActions } from 'vuex';
    
    export default {
        name: "book",
        data(){
            return {
                id: this.$route.params.id
            }
        },
        mounted(){
            this.$store.dispatch('book/detail', { id: this.id })
        },
        computed: {
            
        },
        watch: {
            
        },
        methods: {
            
        }
    }
</script>